import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const billsToPays = await conductor.qbd.billsToPay.list({
vendorId: '80000001-1234567890',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(billsToPays.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
bills_to_pays = conductor.qbd.bills_to_pay.list(
vendor_id="80000001-1234567890",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(bills_to_pays.data)curl --request GET \
--url https://api.conductor.is/v1/quickbooks-desktop/bills-to-pay \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'
{
"objectType": "list",
"url": "/v1/quickbooks-desktop/bills-to-pay",
"data": [
{
"bill": {
"billId": "123ABC-1234567890",
"transactionType": "bill",
"payablesAccount": {
"id": "80000001-1234567890",
"fullName": "Accounts-Payable"
},
"transactionDate": "2024-10-01",
"refNumber": "BILL-1234",
"dueDate": "2024-10-31T00:00:00.000Z",
"amountDue": "1000.00",
"currency": {
"id": "80000001-1234567890",
"fullName": "USD"
},
"exchangeRate": 1.2345,
"amountDueInHomeCurrency": "1234.56"
},
"credit": {
"creditTransactionId": "123ABC-1234567890",
"transactionType": "vendor_credit",
"payablesAccount": {
"id": "80000001-1234567890",
"fullName": "Accounts-Payable"
},
"transactionDate": "2024-10-01",
"refNumber": "CREDIT-1234",
"creditRemaining": "25.11",
"currency": {
"id": "80000001-1234567890",
"fullName": "USD"
},
"exchangeRate": 1.2345,
"creditRemainingInHomeCurrency": "25.11"
}
}
]
}List bills and credits available to pay for a vendor
Lists open vendor bills and available vendor credits for a specific QuickBooks Desktop vendor. Use each bill.billId as applyToTransactions[].transactionId in bill-payment requests. To apply a returned credit, place it under the target bill’s applyToTransactions[].applyCredits[] entry, set creditTransactionId to credit.creditTransactionId, and choose an appliedAmount that does not exceed credit.creditRemaining or the target bill’s remaining amount due.
NOTE: QuickBooks Desktop does not support pagination for bills to pay; hence, there is no cursor parameter. Users typically have few bills to pay.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const billsToPays = await conductor.qbd.billsToPay.list({
vendorId: '80000001-1234567890',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(billsToPays.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
bills_to_pays = conductor.qbd.bills_to_pay.list(
vendor_id="80000001-1234567890",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(bills_to_pays.data)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Query Parameters
The vendor whose open bills and available credits should be returned.
36"80000001-1234567890"
Filter for open bills and available credits assigned to this Accounts-Payable account. If omitted, QuickBooks Desktop uses the default A/P account configured in the company file.
36"80000001-1234567890"
Filter the bill branch to open bills due on or before this date, in ISO 8601 format (YYYY-MM-DD). If omitted, QuickBooks Desktop returns open bills from all due dates. Available credits can still be returned because credits do not have a due date.
"2025-02-01"
Filter for open bills and available credits in these currencies.
["80000001-1234567890"]
Response
Returns open vendor bills and available vendor credits for a specific QuickBooks Desktop vendor.
The type of object. This value is always "list".
"list""list"
The endpoint URL where this list can be accessed.
"/v1/quickbooks-desktop/bills-to-pay"
The array of bills-to-pay records. Each record has either a bill object or a credit object, and the other branch is null.
Show child attributes
Show child attributes

